package com.xypower.mpmaster.sms;

import android.content.Context;
import android.os.Environment;

import com.xypower.common.JSONUtils;
import com.xypower.common.MicroPhotoContext;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.io.File;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class UpdateSysConfigUtil {


    //修改运维时间表
    public static void setAbsHeartbeats(Context context, List<Integer> list) {
        MicroPhotoContext.MasterConfig masterConfig = MicroPhotoContext.getMasterConfig(context);
        int[] array = new int[list.size()];
        if (list != null && list.size() > 0) {
            for (int i = 0; i < list.size(); i++) {
                array[i] = list.get(i);
            }
        }
        masterConfig.absHeartbeats = array;
        MicroPhotoContext.saveMasterConfig(context, masterConfig);
    }

    //获取运维时间表
    public static List getAbsHeartbeats(Context context) {
        MicroPhotoContext.MasterConfig masterConfig = MicroPhotoContext.getMasterConfig(context);
        ArrayList<Integer> list = new ArrayList<>();
        int[] absHeartbeats = masterConfig.absHeartbeats;
        if (absHeartbeats != null && absHeartbeats.length > 0) {
            for (int i = 0; i < absHeartbeats.length; i++) {
                list.add(absHeartbeats[i]);
            }
        }
        return list;
    }

    //修改运维状态 TODO
    public static void setMntnMode(Context context, int mntnMode) {
        MicroPhotoContext.MasterConfig masterConfig = MicroPhotoContext.getMasterConfig(context);
        masterConfig.mntnMode = mntnMode;
        MicroPhotoContext.saveMasterConfig(context, masterConfig);
    }

    //查询运维状态 TODO
    public static int getMntnMode(Context context) {
        MicroPhotoContext.MasterConfig masterConfig = MicroPhotoContext.getMasterConfig(context);
        return masterConfig.mntnMode;
    }

    //修改运维状态 TODO
    public static void setMntnServer(Context context, String server, int port) {
        MicroPhotoContext.MasterConfig masterConfig = MicroPhotoContext.getMasterConfig(context);
        masterConfig.server = server;
        masterConfig.port = port;
        MicroPhotoContext.saveMasterConfig(context, masterConfig);
    }

    //查询运维状态 TODO
    public static String getMntnServer(Context context) {
        String server = "";
        int port;
        MicroPhotoContext.MasterConfig masterConfig = MicroPhotoContext.getMasterConfig(context);
        server = masterConfig.server;
        port = masterConfig.port;
        return server + "," + port;
    }


    //修改cmdid TODO
    public static void setCmdid(Context context, String cmdid) {
        MicroPhotoContext.AppConfig mpAppConfig = MicroPhotoContext.getMpAppConfig(context);
        mpAppConfig.cmdid = cmdid;
        MicroPhotoContext.saveMpAppConfig(context, mpAppConfig);
    }


    //查询cmdid TODO
    public static String getCmdid(Context context) {
        MicroPhotoContext.AppConfig mpAppConfig = MicroPhotoContext.getMpAppConfig(context);
        return mpAppConfig.cmdid;
    }

    //修改app的ip TODO
    public static void setIP(Context context, String server, int port, int utcp, int encrypto) {
        MicroPhotoContext.AppConfig mpAppConfig = MicroPhotoContext.getMpAppConfig(context);
        mpAppConfig.server = server;
        mpAppConfig.port = port;
        if (utcp != -1) {
            mpAppConfig.networkProtocol = utcp;
        }
        if (encrypto != -1) {
            mpAppConfig.encryption = encrypto;
        }
        MicroPhotoContext.saveMpAppConfig(context, mpAppConfig);
    }


    //查询cmdid TODO
    public static String getIP(Context context) {
        MicroPhotoContext.AppConfig mpAppConfig = MicroPhotoContext.getMpAppConfig(context);
        String server = mpAppConfig.server;
        int port = mpAppConfig.port;
        int networkProtocol = mpAppConfig.networkProtocol;
        int encryption = mpAppConfig.encryption;
        return server + "," + port + "," + networkProtocol + "," + encryption;
    }


}
